<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.ErpAccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.ErpAccount">
        <id column="account_id" property="accountId" />
        <result column="create_time" property="createTime" />
        <result column="account_name" property="accountName" />
        <result column="account_type" property="accountType" />
        <result column="account_code" property="accountCode" />
        <result column="initial_balance" property="initialBalance" />
        <result column="current_balance" property="currentBalance" />
        <result column="is_active" property="isActive" />
        <result column="update_time" property="updateTime" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, account_id, account_name, account_type, account_code, initial_balance, current_balance, is_active, update_time, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
